import hotkeys from 'hotkeys-js';
import React from 'react';

function useHotkeys(cb, keys, deps = []) {
  React.useEffect(() => {
    hotkeys(keys.join(','), (event, handle) => cb(handle.key, event, handle));
    return () => {
      keys.forEach(key => hotkeys.unbind(key));
    };
  }, [...keys, ...deps]);
}

export default useHotkeys;